/*

Sum square difference
Problem 6
The sum of the squares of the first ten natural numbers is,

12 + 22 + ... + 102 = 385
The square of the sum of the first ten natural numbers is,

(1 + 2 + ... + 10)2 = 552 = 3025
Hence the difference between the sum of the squares of the first ten natural numbers and the square of the sum is 3025 − 385 = 2640.

Find the difference between the sum of the squares of the first one hundred natural numbers and the square of the sum.

*/

#include <stdio.h>
#include <math.h>

using namespace std;

#define LIMITE_RANGO 100

int main(int argc, char const *argv[])
{

	int i = 0;
	int res = 0;
	int valSum = 0;
	int valPow = 0;

	while(i++ < LIMITE_RANGO)
	{
		valSum += i;
		valPow += pow(i, 2);
	}

	res = pow(valSum, 2) - valPow;
	printf("Resultado final: %d\n", res);

	return 0;
}